@function can.Map.setter.setErrors setErrors

Called to specify setter errors that result in an 'error' 
event triggered with the property and errors.

@param {Array<String|Object>} errors Error details.

@body

## Use

Call a [can.Map.setter setter's] `setErrors` callback to 
trigger errors events on the map instance.
